<?php

namespace App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel;

use App\Utils\Builder;
use App\Utils\ResponseException;
use Config\CustomRules;
use Exception;

class PixRegistrationViewModelBuilder implements Builder {
	protected $chave;
	protected $valor;
	

	public function build() {

		$pix_registration_view_model = new PixRegistrationViewModel();
		$pix_registration_view_model->setDescricao( $this->descricao );
		$pix_registration_view_model->setCriadoEm( $this->criado_em );
		$pix_registration_view_model->setAtualizadoEm( $this->atualizado_em );
		$pix_registration_view_model->setDesativadoEm( $this->desativado_em );
		$pix_registration_view_model->setCriadoPor( $this->criado_por );
		$pix_registration_view_model->setAlteradoPor( $this->alterado_por );
		$pix_registration_view_model->setDesativadoPor( $this->desativado_por );
		return $pix_registration_view_model;

	}

	/**
	 *
	 * @param mixed $descricao
	 */
	public function setChave($chave) {

		$this->chave = $chave;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
		return $this;

	}

	
}
